Portal Config - Create Or Update
Create or update the developer portal configuration.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/portalconfigs/{portalConfigId}?api-version=2024-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
portal
|
path | True |
string minLength: 1maxLength: 80 |
Portal configuration identifier. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
The name of the API Management service. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| If-Match | True |
string |
ETag of the Entity. ETag should match the current entity state from the header response of the GET request or it should be * for unconditional update. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.cors |
The developer portal Cross-Origin Resource Sharing (CORS) settings. |
|
| properties.csp |
The developer portal Content Security Policy (CSP) settings. |
|
| properties.delegation |
The developer portal delegation settings. |
|
| properties.enableBasicAuth |
boolean |
Enable or disable Basic authentication method. |
| properties.signin | ||
| properties.signup |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Operation completed successfully. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ApiManagementCreatePortalConfig
Sample request
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/portalconfigs/default?api-version=2024-05-01
{
"properties": {
"enableBasicAuth": true,
"signin": {
"require": false
},
"signup": {
"termsOfService": {
"text": "I agree to the service terms and conditions.",
"requireConsent": false
}
},
"delegation": {
"delegateRegistration": false,
"delegateSubscription": false,
"delegationUrl": null,
"validationKey": null
},
"csp": {
"mode": "reportOnly",
"reportUri": [
"https://report.contoso.com"
],
"allowedSources": [
"*.contoso.com"
]
},
"cors": {
"allowedOrigins": [
"https://contoso.com"
]
}
}
}
Sample response
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/portalconfigs/default",
"type": "Microsoft.ApiManagement/service/portalconfigs",
"name": "default",
"properties": {
"enableBasicAuth": true,
"signin": {
"require": false
},
"signup": {
"termsOfService": {
"text": "I agree to the service terms and conditions.",
"requireConsent": false
}
},
"delegation": {
"delegateRegistration": false,
"delegateSubscription": false,
"delegationUrl": null,
"validationKey": null
},
"csp": {
"mode": "reportOnly",
"reportUri": [
"https://report.contoso.com"
],
"allowedSources": [
"*.contoso.com"
]
},
"cors": {
"allowedOrigins": [
"https://contoso.com"
]
}
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Portal |
The developer portal configuration contract. |
|
Portal |
The developer portal Cross-Origin Resource Sharing (CORS) settings. |
|
Portal |
The developer portal Content Security Policy (CSP) settings. |
|
Portal |
|
|
Portal |
Terms of service contract properties. |
|
Portal |
The mode of the developer portal Content Security Policy (CSP). |
| Signin | |
| Signup |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
PortalConfigContract
The developer portal configuration contract.
| Name | Type | Default value | Description |
|---|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| name |
string |
The name of the resource |
|
| properties.cors |
The developer portal Cross-Origin Resource Sharing (CORS) settings. |
||
| properties.csp |
The developer portal Content Security Policy (CSP) settings. |
||
| properties.delegation |
The developer portal delegation settings. |
||
| properties.enableBasicAuth |
boolean |
True |
Enable or disable Basic authentication method. |
| properties.signin | |||
| properties.signup | |||
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PortalConfigCorsProperties
The developer portal Cross-Origin Resource Sharing (CORS) settings.
| Name | Type | Description |
|---|---|---|
| allowedOrigins |
string[] |
Allowed origins, e.g. |
PortalConfigCspProperties
The developer portal Content Security Policy (CSP) settings.
| Name | Type | Default value | Description |
|---|---|---|---|
| allowedSources |
string[] |
Allowed sources, e.g. |
|
| mode | disabled |
The mode of the developer portal Content Security Policy (CSP). |
|
| reportUri |
string[] |
The URLs used by the browser to report CSP violations. |
PortalConfigDelegationProperties
| Name | Type | Default value | Description |
|---|---|---|---|
| delegateRegistration |
boolean |
False |
Enable or disable delegation for user registration. |
| delegateSubscription |
boolean |
False |
Enable or disable delegation for product subscriptions. |
| delegationUrl |
string |
A delegation endpoint URL. |
|
| validationKey |
string |
A base64-encoded validation key to ensure requests originate from Azure API Management service. |
PortalConfigTermsOfServiceProperties
Terms of service contract properties.
| Name | Type | Default value | Description |
|---|---|---|---|
| requireConsent |
boolean |
False |
Ask user for consent to the terms of service. |
| text |
string |
A terms of service text. |
PortalSettingsCspMode
The mode of the developer portal Content Security Policy (CSP).
| Value | Description |
|---|---|
| enabled |
The browser will block requests not matching allowed origins. |
| disabled |
The browser will not apply the origin restrictions. |
| reportOnly |
The browser will report requests not matching allowed origins without blocking them. |
Signin
| Name | Type | Default value | Description |
|---|---|---|---|
| require |
boolean |
False |
Redirect anonymous users to the sign-in page. |
Signup
| Name | Type | Description |
|---|---|---|
| termsOfService |
Terms of service settings. |